Renew a domain
curl --request POST \
--url https://www.atom.com/api/registrar/v1/domains/{domain_name}/renew \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"renewal_length": 1
}
'import requests
url = "https://www.atom.com/api/registrar/v1/domains/{domain_name}/renew"
payload = { "renewal_length": 1 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({renewal_length: 1})
};
fetch('https://www.atom.com/api/registrar/v1/domains/{domain_name}/renew', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}Domains
Renew a domain
Renew a domain already registered at Atom for 1–10 years (.ai must be even). Charges account balance or a saved card. Returns the new expiry date and price_breakdown. This is the domain renewal endpoint.
POST
/
registrar
/
v1
/
domains
/
{domain_name}
/
renew
Renew a domain
Authorizations
Registrar API token from https://www.atom.com/dashboard/seller/api-access
Path Parameters
Fully qualified domain name
Example:
"example.com"
Body
application/json
.ai must be even years
Required range:
1 <= x <= 10Response
Successful operation
The response is of type object.